Loading...
Searching...
No Matches
Dune::Amg::ConstructionTraits< T > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Traits class for generically constructing non default constructable types. More...

`#include <dune/istl/paamg/construction.hh>`

Inheritance diagram for Dune::Amg::ConstructionTraits< T >:

## Public Types

typedef const void * | Arguments
| A type holding all the arguments needed to call the constructor.

## Static Public Member Functions

static std::shared_ptr< T > | construct (Arguments &)
| Construct an object with the specified arguments.

## Detailed Description

template<typename T>
struct Dune::Amg::ConstructionTraits< T >

Traits class for generically constructing non default constructable types.

Needed because BCRSMatrix and Vector do a deep copy which is too expensive.

The documentation for this struct was generated from the following files:

- novlpschwarz.hh
- construction.hh